#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c0c9ce6, "module_layout" },
	{ 0xbdefcacf, "driver_unregister" },
	{ 0xba03bbd2, "uart_unregister_driver" },
	{ 0xc80f9c36, "i2c_del_driver" },
	{ 0x22d86928, "__spi_register_driver" },
	{ 0x3b94b46b, "i2c_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0xc3282db6, "uart_register_driver" },
	{ 0x73f9afff, "__devm_regmap_init_i2c" },
	{ 0xb90bec88, "spi_get_device_id" },
	{ 0x6a9a3411, "__devm_regmap_init_spi" },
	{ 0x57237646, "device_get_match_data" },
	{ 0x5bd146b2, "spi_setup" },
	{ 0x64402d5a, "__dynamic_dev_dbg" },
	{ 0x17252d53, "gpiochip_remove" },
	{ 0x7d26a7a, "devm_request_threaded_irq" },
	{ 0x6de24055, "gpiochip_add_data_with_key" },
	{ 0x85556991, "uart_add_one_port" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe9832f40, "kthread_stop" },
	{ 0xa8551735, "uart_remove_one_port" },
	{ 0xd20fe7d7, "sched_set_fifo" },
	{ 0xa64a2e1a, "wake_up_process" },
	{ 0x5635eb29, "kthread_create_on_node" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x270d0a43, "__kthread_init_worker" },
	{ 0x81ef0cbf, "__mutex_rt_init" },
	{ 0x3399d8aa, "rt_mutex_base_init" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x87a87a3a, "devm_clk_get_optional" },
	{ 0xb20e0241, "device_property_read_u32_array" },
	{ 0x69800d8, "devm_kmalloc" },
	{ 0x62813281, "rt_spin_unlock" },
	{ 0x9ed328bc, "rt_spin_lock" },
	{ 0xa04bdcc7, "kthread_queue_work" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9bb87379, "uart_update_timeout" },
	{ 0x3c03e06, "uart_get_baud_rate" },
	{ 0xf9a482f9, "msleep" },
	{ 0x33131ac8, "gpiochip_get_data" },
	{ 0xb39e7aae, "_dev_warn" },
	{ 0x13a11f77, "do_SAK" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7647726c, "handle_sysrq" },
	{ 0x229afd93, "tty_flip_buffer_push" },
	{ 0x8f90f6f, "uart_try_toggle_sysrq" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0xf73f06b2, "uart_insert_char" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf53b710d, "regmap_raw_read" },
	{ 0xd5cd5970, "mutex_unlock" },
	{ 0xadd80e2d, "mutex_lock" },
	{ 0xbc8ab7ce, "_dev_err" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf36d87fc, "uart_write_wakeup" },
	{ 0x246495f1, "regmap_raw_write" },
	{ 0x6e06f1a6, "regcache_cache_bypass" },
	{ 0x3923f390, "kthread_flush_worker" },
	{ 0xe84f5a04, "regmap_write" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xf71d1aa6, "regmap_read" },
	{ 0x891690d9, "regmap_update_bits_base" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "regmap-i2c,regmap-spi");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "56A6E9A1EE0633EF176EE31");

MODULE_INFO(suserelease, "SLE15-SP4");
